> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiordersby checkout

> Get an order by checkout id. The pratiq-channel-uuid header is required by shared customer authentication but is not used to filter order access. Access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json get /api/orders/by-checkout/{checkoutId}
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/orders/by-checkout/{checkoutId}:
    get:
      tags:
        - orders
      description: >-
        Get an order by checkout id. The pratiq-channel-uuid header is required
        by shared customer authentication but is not used to filter order
        access. Access is scoped to the authenticated account and orders from
        WEB or CONSUMPTION sales channels.
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: >-
            Required by shared customer authentication. Ignored for customer
            order access filtering; access is scoped to the authenticated
            account and orders from WEB or CONSUMPTION sales channels.
          required: true
          schema:
            type: string
        - name: checkoutId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    oneOf:
                      - $ref: >-
                          #/components/schemas/ManagementOrder_PopulatedGeneralOrder
                      - $ref: >-
                          #/components/schemas/ManagementOrder_PopulatedConsumptionOrder
                required:
                  - data
components:
  schemas:
    ManagementOrder_PopulatedGeneralOrder:
      type: object
      properties:
        id:
          type: number
        accountId:
          type: number
        purchasedAt:
          type: string
          format: date-time
        lastUpdateAt:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - PAID
            - CREATED
            - REFUNDED
            - CANCELLED
            - PARTIALLY_CANCELLED
            - PARTIALLY_REFUNDED
            - RESERVED
            - PENDING
        referenceNumber:
          type: string
        currency:
          type: string
        listPriceGross:
          type: number
        listPriceNet:
          type: number
        promoCodeDiscount:
          type: number
        autoDiscountAmount:
          type: number
        totalDiscountGross:
          type: number
        totalDiscountNet:
          type: number
        donation:
          $ref: '#/components/schemas/Checkout_Donation'
        totalGross:
          type: number
        totalNet:
          type: number
        metadata:
          type: object
          properties:
            weatherGuarantee:
              oneOf:
                - type: object
                  properties: {}
                - nullable: true
                - type: object
                  properties:
                    data:
                      oneOf:
                        - type: object
                          properties:
                            version:
                              type: number
                              enum:
                                - 1
                            quoteId:
                              type: string
                            checkoutItemId:
                              type: number
                              nullable: true
                          required:
                            - version
                            - quoteId
                        - type: object
                          properties:
                            version:
                              type: number
                              enum:
                                - 2
                            quoteId:
                              type: string
                            vat:
                              type: number
                            checkoutItemId:
                              type: number
                              nullable: true
                          required:
                            - version
                            - quoteId
                            - vat
                        - type: object
                          properties:
                            version:
                              type: number
                              enum:
                                - 3
                            provider:
                              type: string
                              enum:
                                - SENSIBLE_WEATHER
                                - PONCHO
                            quoteId:
                              type: string
                            vat:
                              type: number
                            checkoutItemId:
                              type: number
                              nullable: true
                          required:
                            - version
                            - provider
                            - quoteId
                            - vat
                            - checkoutItemId
                    error:
                      nullable: true
                  required:
                    - data
                    - error
                - type: object
                  properties:
                    data:
                      nullable: true
                    error:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: number
                        error:
                          type: string
                        description:
                          type: string
                        data:
                          oneOf:
                            - type: object
                              properties: {}
                            - type: object
                              additionalProperties:
                                type: object
                                properties: {}
                            - type: array
                              items:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties: {}
                      required:
                        - message
                        - code
                        - error
                    provider:
                      oneOf:
                        - type: object
                          properties: {}
                        - type: string
                          enum:
                            - SENSIBLE_WEATHER
                        - type: string
                          enum:
                            - PONCHO
                  required:
                    - data
                    - error
              nullable: true
        salesChannel:
          $ref: '#/components/schemas/Checkout_SalesChannel'
        checkoutConditions:
          $ref: '#/components/schemas/Checkout_CheckoutConditions'
        promoCodes:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/Checkout_PromoCodeValid'
              - $ref: '#/components/schemas/Checkout_PromoCodeInvalid'
        autoDiscounts:
          type: array
          items:
            $ref: '#/components/schemas/Checkout_AutoDiscount'
        billingAddress:
          $ref: '#/components/schemas/Checkout_Address'
        shippingAddress:
          $ref: '#/components/schemas/Checkout_Address'
        payment:
          oneOf:
            - nullable: true
            - $ref: '#/components/schemas/Checkout_PaymentWithProviders'
            - $ref: '#/components/schemas/Checkout_PaymentNotRequired'
        vouchers:
          type: array
          items:
            $ref: '#/components/schemas/Checkout_Voucher'
        type:
          type: string
          enum:
            - SUBSCRIPTION
            - ONE_TIME
            - ADMIN
        items:
          type: array
          items:
            $ref: '#/components/schemas/ManagementOrder_OrderItem'
      required:
        - id
        - accountId
        - purchasedAt
        - lastUpdateAt
        - status
        - referenceNumber
        - currency
        - listPriceGross
        - listPriceNet
        - promoCodeDiscount
        - autoDiscountAmount
        - totalDiscountGross
        - totalDiscountNet
        - donation
        - totalGross
        - totalNet
        - metadata
        - salesChannel
        - checkoutConditions
        - promoCodes
        - autoDiscounts
        - billingAddress
        - shippingAddress
        - payment
        - vouchers
        - type
        - items
    ManagementOrder_PopulatedConsumptionOrder:
      type: object
      properties:
        id:
          type: number
        accountId:
          type: number
        purchasedAt:
          type: string
          format: date-time
        lastUpdateAt:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - PAID
            - CREATED
            - REFUNDED
            - CANCELLED
            - PARTIALLY_CANCELLED
            - PARTIALLY_REFUNDED
            - RESERVED
            - PENDING
        referenceNumber:
          type: string
        currency:
          type: string
        listPriceGross:
          type: number
        listPriceNet:
          type: number
        promoCodeDiscount:
          type: number
        autoDiscountAmount:
          type: number
        totalDiscountGross:
          type: number
        totalDiscountNet:
          type: number
        donation:
          $ref: '#/components/schemas/Checkout_Donation'
        totalGross:
          type: number
        totalNet:
          type: number
        metadata:
          type: object
          properties:
            weatherGuarantee:
              oneOf:
                - type: object
                  properties: {}
                - nullable: true
                - type: object
                  properties:
                    data:
                      oneOf:
                        - type: object
                          properties:
                            version:
                              type: number
                              enum:
                                - 1
                            quoteId:
                              type: string
                            checkoutItemId:
                              type: number
                              nullable: true
                          required:
                            - version
                            - quoteId
                        - type: object
                          properties:
                            version:
                              type: number
                              enum:
                                - 2
                            quoteId:
                              type: string
                            vat:
                              type: number
                            checkoutItemId:
                              type: number
                              nullable: true
                          required:
                            - version
                            - quoteId
                            - vat
                        - type: object
                          properties:
                            version:
                              type: number
                              enum:
                                - 3
                            provider:
                              type: string
                              enum:
                                - SENSIBLE_WEATHER
                                - PONCHO
                            quoteId:
                              type: string
                            vat:
                              type: number
                            checkoutItemId:
                              type: number
                              nullable: true
                          required:
                            - version
                            - provider
                            - quoteId
                            - vat
                            - checkoutItemId
                    error:
                      nullable: true
                  required:
                    - data
                    - error
                - type: object
                  properties:
                    data:
                      nullable: true
                    error:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: number
                        error:
                          type: string
                        description:
                          type: string
                        data:
                          oneOf:
                            - type: object
                              properties: {}
                            - type: object
                              additionalProperties:
                                type: object
                                properties: {}
                            - type: array
                              items:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties: {}
                      required:
                        - message
                        - code
                        - error
                    provider:
                      oneOf:
                        - type: object
                          properties: {}
                        - type: string
                          enum:
                            - SENSIBLE_WEATHER
                        - type: string
                          enum:
                            - PONCHO
                  required:
                    - data
                    - error
              nullable: true
        salesChannel:
          $ref: '#/components/schemas/Checkout_SalesChannel'
        checkoutConditions:
          $ref: '#/components/schemas/Checkout_CheckoutConditions'
        promoCodes:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/Checkout_PromoCodeValid'
              - $ref: '#/components/schemas/Checkout_PromoCodeInvalid'
        autoDiscounts:
          type: array
          items:
            $ref: '#/components/schemas/Checkout_AutoDiscount'
        billingAddress:
          $ref: '#/components/schemas/Checkout_Address'
        shippingAddress:
          $ref: '#/components/schemas/Checkout_Address'
        payment:
          oneOf:
            - nullable: true
            - $ref: '#/components/schemas/Checkout_PaymentWithProviders'
            - $ref: '#/components/schemas/Checkout_PaymentNotRequired'
        vouchers:
          type: array
          items:
            $ref: '#/components/schemas/Checkout_Voucher'
        type:
          type: string
          enum:
            - CONSUMPTION
        items:
          type: array
          items:
            $ref: '#/components/schemas/ManagementOrder_ConsumptionOrderItem'
      required:
        - id
        - accountId
        - purchasedAt
        - lastUpdateAt
        - status
        - referenceNumber
        - currency
        - listPriceGross
        - listPriceNet
        - promoCodeDiscount
        - autoDiscountAmount
        - totalDiscountGross
        - totalDiscountNet
        - donation
        - totalGross
        - totalNet
        - metadata
        - salesChannel
        - checkoutConditions
        - promoCodes
        - autoDiscounts
        - billingAddress
        - shippingAddress
        - payment
        - vouchers
        - type
        - items
    Checkout_Donation:
      type: object
      properties:
        type:
          type: string
          enum:
            - DONATION
        amount:
          type: number
      required:
        - type
        - amount
    Checkout_SalesChannel:
      type: object
      properties:
        uuid:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - CONSUMPTION
            - ADMIN
            - WEB
      required:
        - uuid
        - name
        - type
    Checkout_CheckoutConditions:
      type: object
      properties:
        defaultValues:
          type: object
          additionalProperties:
            type: object
            properties: {}
        formDefinition:
          type: object
          additionalProperties:
            oneOf:
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  intent:
                    type: string
                    enum:
                      - ONLINE_CREDIT
                      - CUSTOM
                      - CUSTOMER_COMMENT
                      - NEWSLETTER
                      - TERMS_AND_CONDITIONS
                      - TABLE_NUMBER
                      - DONATION
                      - TIP
                  type:
                    type: string
                    enum:
                      - text
                  min:
                    type: number
                  max:
                    type: number
                  length:
                    type: number
                required:
                  - required
                  - label
                  - sortOrder
                  - intent
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  intent:
                    type: string
                    enum:
                      - ONLINE_CREDIT
                      - CUSTOM
                      - CUSTOMER_COMMENT
                      - NEWSLETTER
                      - TERMS_AND_CONDITIONS
                      - TABLE_NUMBER
                      - DONATION
                      - TIP
                  type:
                    type: string
                    enum:
                      - number
                  min:
                    type: number
                  max:
                    type: number
                  options:
                    type: array
                    items:
                      type: number
                required:
                  - required
                  - label
                  - sortOrder
                  - intent
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  intent:
                    type: string
                    enum:
                      - ONLINE_CREDIT
                      - CUSTOM
                      - CUSTOMER_COMMENT
                      - NEWSLETTER
                      - TERMS_AND_CONDITIONS
                      - TABLE_NUMBER
                      - DONATION
                      - TIP
                  type:
                    type: string
                    enum:
                      - select
                  options:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                        value:
                          type: string
                      required:
                        - label
                        - value
                required:
                  - required
                  - label
                  - sortOrder
                  - intent
                  - type
                  - options
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  intent:
                    type: string
                    enum:
                      - ONLINE_CREDIT
                      - CUSTOM
                      - CUSTOMER_COMMENT
                      - NEWSLETTER
                      - TERMS_AND_CONDITIONS
                      - TABLE_NUMBER
                      - DONATION
                      - TIP
                  type:
                    type: string
                    enum:
                      - date
                  min:
                    type: string
                  max:
                    type: string
                required:
                  - required
                  - label
                  - sortOrder
                  - intent
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  intent:
                    type: string
                    enum:
                      - ONLINE_CREDIT
                      - CUSTOM
                      - CUSTOMER_COMMENT
                      - NEWSLETTER
                      - TERMS_AND_CONDITIONS
                      - TABLE_NUMBER
                      - DONATION
                      - TIP
                  type:
                    type: string
                    enum:
                      - tel
                required:
                  - required
                  - label
                  - sortOrder
                  - intent
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  intent:
                    type: string
                    enum:
                      - ONLINE_CREDIT
                      - CUSTOM
                      - CUSTOMER_COMMENT
                      - NEWSLETTER
                      - TERMS_AND_CONDITIONS
                      - TABLE_NUMBER
                      - DONATION
                      - TIP
                  type:
                    type: string
                    enum:
                      - file
                  fileType:
                    type: string
                    enum:
                      - avatar
                      - document
                      - image
                  acceptedMimeTypes:
                    type: array
                    items:
                      type: string
                required:
                  - required
                  - label
                  - sortOrder
                  - intent
                  - type
                  - fileType
                  - acceptedMimeTypes
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  intent:
                    type: string
                    enum:
                      - ONLINE_CREDIT
                      - CUSTOM
                      - CUSTOMER_COMMENT
                      - NEWSLETTER
                      - TERMS_AND_CONDITIONS
                      - TABLE_NUMBER
                      - DONATION
                      - TIP
                  type:
                    type: string
                    enum:
                      - checkbox
                required:
                  - required
                  - label
                  - sortOrder
                  - intent
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - donation
                  productVariantId:
                    type: number
                  intent:
                    type: string
                    enum:
                      - DONATION
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  mode:
                    type: string
                    enum:
                      - PERCENT_OF_TOTAL
                  percent:
                    type: number
                required:
                  - required
                  - label
                  - sortOrder
                  - type
                  - productVariantId
                  - intent
                  - mode
                  - percent
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - donation
                  productVariantId:
                    type: number
                  intent:
                    type: string
                    enum:
                      - DONATION
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  mode:
                    type: string
                    enum:
                      - FIXED_AMOUNT
                  amountCents:
                    type: number
                required:
                  - required
                  - label
                  - sortOrder
                  - type
                  - productVariantId
                  - intent
                  - mode
                  - amountCents
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - tip
                  productVariantId:
                    type: number
                  intent:
                    type: string
                    enum:
                      - TIP
                  placeholder:
                    type: string
                  description:
                    type: string
                  autoComplete:
                    type: string
                  computedOptions:
                    type: array
                    items:
                      type: object
                      properties:
                        percentage:
                          type: number
                        amount:
                          type: number
                        selected:
                          type: boolean
                      required:
                        - percentage
                        - amount
                        - selected
                  allowCustomAmount:
                    type: boolean
                  percentageOptions:
                    type: array
                    items:
                      type: number
                required:
                  - required
                  - label
                  - sortOrder
                  - type
                  - productVariantId
                  - intent
                  - allowCustomAmount
        values:
          type: object
          additionalProperties:
            type: object
            properties: {}
      required:
        - defaultValues
        - formDefinition
        - values
    Checkout_PromoCodeValid:
      type: object
      properties:
        id:
          type: number
        code:
          type: string
        displayName:
          type: string
        description:
          type: string
        discount:
          type: number
        discountType:
          type: string
          enum:
            - ABSOLUTE
            - RELATIVE
            - FIXED_PRICE
        valid:
          type: boolean
        totalAmount:
          type: number
      required:
        - id
        - code
        - displayName
        - description
        - discount
        - discountType
        - valid
        - totalAmount
    Checkout_PromoCodeInvalid:
      type: object
      properties:
        id:
          type: number
        code:
          type: string
        displayName:
          type: string
        description:
          type: string
        discount:
          type: number
        discountType:
          type: string
          enum:
            - ABSOLUTE
            - RELATIVE
            - FIXED_PRICE
        valid:
          type: boolean
        reason:
          oneOf:
            - $ref: '#/components/schemas/Checkout_PromoCodeInvalidUpcoming'
            - $ref: '#/components/schemas/Checkout_PromoCodeInvalidExpired'
            - $ref: '#/components/schemas/Checkout_PromoCodeInvalidGlobalLimitReached'
      required:
        - id
        - code
        - displayName
        - description
        - discount
        - discountType
        - valid
        - reason
    Checkout_AutoDiscount:
      type: object
      properties:
        id:
          type: number
        displayName:
          type: string
        description:
          type: string
        discountType:
          type: string
          enum:
            - ABSOLUTE
            - RELATIVE
            - FIXED_PRICE
        discount:
          type: number
      required:
        - id
        - displayName
        - description
        - discountType
        - discount
    Checkout_Address:
      type: object
      properties:
        id:
          type: number
        addressLine1:
          type: string
        addressLine2:
          type: string
          nullable: true
        zip:
          type: string
        city:
          type: string
        state:
          type: string
          nullable: true
        countryCode:
          type: string
        purpose:
          type: array
          items:
            type: string
            enum:
              - BILLING
              - SHIPPING
      required:
        - id
        - addressLine1
        - addressLine2
        - zip
        - city
        - state
        - countryCode
        - purpose
    Checkout_PaymentWithProviders:
      type: object
      properties:
        status:
          type: string
          enum:
            - FAILED
            - INITIALIZED
            - SETTLED
        totalAmount:
          type: number
        currency:
          type: string
        errors:
          type: array
          items:
            type: string
        primaryPaymentProvider:
          type: object
          properties:
            type:
              type: string
              enum:
                - ON_SITE
                - DATATRANS
            status:
              type: string
              enum:
                - FAILED
                - INITIALIZED
                - SETTLED
                - CANCELED
                - AUTHORIZED
                - TRANSMITTED
            paymentMethod:
              oneOf:
                - nullable: true
                - $ref: '#/components/schemas/EGumaPaymentDetailMetaData'
                - $ref: '#/components/schemas/IncertPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransTwintPaymentDetailMetaData'
                - $ref: >-
                    #/components/schemas/DatatransPostFinancePayPaymentDetailMetaData
                - $ref: >-
                    #/components/schemas/DatatransPostFinanceCardPaymentDetailMetaData
                - $ref: '#/components/schemas/DatatransREKAPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransDebitPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransPrepaidPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransCreditPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransPaypalPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransEPSPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransAnonymousPaymentDetailMetaData'
              nullable: true
            amount:
              type: number
          required:
            - type
            - status
            - paymentMethod
            - amount
        secondaryPaymentProviders:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - INCERT
                  - EGUMA
                  - ONLINE_CREDIT
              status:
                type: string
                enum:
                  - FAILED
                  - INITIALIZED
                  - SETTLED
                  - CANCELED
                  - AUTHORIZED
                  - TRANSMITTED
              paymentMethod:
                oneOf:
                  - nullable: true
                  - $ref: '#/components/schemas/EGumaPaymentDetailMetaData'
                  - $ref: '#/components/schemas/IncertPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransTwintPaymentDetailMetaData'
                  - $ref: >-
                      #/components/schemas/DatatransPostFinancePayPaymentDetailMetaData
                  - $ref: >-
                      #/components/schemas/DatatransPostFinanceCardPaymentDetailMetaData
                  - $ref: '#/components/schemas/DatatransREKAPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransDebitPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransPrepaidPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransCreditPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransPaypalPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransEPSPaymentDetailMetaData'
                  - $ref: >-
                      #/components/schemas/DatatransAnonymousPaymentDetailMetaData
                nullable: true
              amount:
                type: number
            required:
              - type
              - status
              - paymentMethod
              - amount
      required:
        - status
        - totalAmount
        - currency
        - errors
        - primaryPaymentProvider
        - secondaryPaymentProviders
    Checkout_PaymentNotRequired:
      type: object
      properties:
        status:
          type: string
          enum:
            - NOT_REQUIRED
        totalAmount:
          type: number
        currency:
          type: string
      required:
        - status
        - totalAmount
        - currency
    Checkout_Voucher:
      type: object
      properties:
        code:
          type: string
        system:
          type: string
          enum:
            - INCERT
            - EGUMA
        amount:
          type: number
      required:
        - code
        - system
        - amount
    ManagementOrder_OrderItem:
      type: object
      properties:
        id:
          type: number
        parentItemId:
          type: number
          nullable: true
        status:
          type: string
          enum:
            - RESERVED
            - PENDING
            - ISSUED
            - CANCELED
        productVariant:
          $ref: '#/components/schemas/Checkout_CheckoutProductVariant'
        validity:
          type: object
          properties:
            from:
              type: string
            to:
              type: string
          required:
            - from
            - to
          nullable: true
        parentItem:
          $ref: '#/components/schemas/ManagementOrder_OrderItem'
          nullable: true
        childItems:
          type: array
          items:
            $ref: '#/components/schemas/ManagementOrder_OrderItem'
        person:
          $ref: '#/components/schemas/Checkout_Person'
          nullable: true
        keycard:
          $ref: '#/components/schemas/Checkout_Keycard'
          nullable: true
        medium:
          oneOf:
            - nullable: true
            - type: object
              properties:
                description:
                  type: string
                name:
                  type: string
                type:
                  type: string
                  enum:
                    - SKIDATA
                    - AXESS
                    - SWISSPASS
                    - LICENSEPLATE
                    - FERATEL
                    - SKIDATA_RENEWAL
                    - SKIDATA_E_TICKET
                    - AXESS_RENEWAL
                    - ON_SITE
                    - CODE_DIRECT
                    - CODE_PICKUP
                    - DELIVERY
                id:
                  type: number
                priceComponents:
                  type: array
                  items:
                    type: object
                    properties:
                      price:
                        type: number
                      productVariant:
                        type: object
                        properties:
                          id:
                            type: number
                          name:
                            type: string
                          translation:
                            type: string
                          vatRate:
                            type: number
                          productId:
                            type: number
                          attributes:
                            type: array
                            items:
                              $ref: '#/components/schemas/Catalog_Attribute'
                        required:
                          - id
                          - name
                          - translation
                          - vatRate
                          - productId
                          - attributes
                      intent:
                        type: string
                        enum:
                          - SENDING_FEE
                          - DEPOT
                    required:
                      - price
                      - productVariant
                      - intent
                requiresKeycard:
                  type: boolean
                keycard:
                  $ref: '#/components/schemas/Checkout_Keycard'
              required:
                - description
                - name
                - type
                - id
                - priceComponents
                - requiresKeycard
                - keycard
            - type: object
              properties:
                description:
                  type: string
                name:
                  type: string
                type:
                  type: string
                  enum:
                    - SKIDATA
                    - AXESS
                    - SWISSPASS
                    - LICENSEPLATE
                    - FERATEL
                    - SKIDATA_RENEWAL
                    - SKIDATA_E_TICKET
                    - AXESS_RENEWAL
                    - ON_SITE
                    - CODE_DIRECT
                    - CODE_PICKUP
                    - DELIVERY
                id:
                  type: number
                priceComponents:
                  type: array
                  items:
                    type: object
                    properties:
                      price:
                        type: number
                      productVariant:
                        type: object
                        properties:
                          id:
                            type: number
                          name:
                            type: string
                          translation:
                            type: string
                          vatRate:
                            type: number
                          productId:
                            type: number
                          attributes:
                            type: array
                            items:
                              $ref: '#/components/schemas/Catalog_Attribute'
                        required:
                          - id
                          - name
                          - translation
                          - vatRate
                          - productId
                          - attributes
                      intent:
                        type: string
                        enum:
                          - SENDING_FEE
                          - DEPOT
                    required:
                      - price
                      - productVariant
                      - intent
                requiresKeycard:
                  type: boolean
                keycard:
                  nullable: true
              required:
                - description
                - name
                - type
                - id
                - priceComponents
                - requiresKeycard
                - keycard
          nullable: true
        listPriceGross:
          type: number
        listPriceNet:
          type: number
        promoCodeDiscount:
          type: number
        autoDiscount:
          $ref: '#/components/schemas/Checkout_AutoDiscount'
          nullable: true
        autoDiscountAmount:
          type: number
        totalDiscountGross:
          type: number
        totalDiscountNet:
          type: number
        donation:
          $ref: '#/components/schemas/Checkout_Donation'
          nullable: true
        totalGross:
          type: number
        totalNet:
          type: number
        vatRate:
          type: number
        displayPrice:
          type: boolean
        requiresPersonalization:
          type: boolean
        requiresValidation:
          type: boolean
        requiresMedium:
          type: boolean
        isConfirmationRequired:
          type: boolean
        isFlexTicket:
          type: boolean
        isMaxOneTicketPerPerson:
          type: boolean
        isUniqueItem:
          type: boolean
        supportsWeatherGuarantee:
          type: boolean
        hasWeatherGuarantee:
          type: boolean
      required:
        - id
        - parentItemId
        - status
        - productVariant
        - validity
        - parentItem
        - childItems
        - person
        - keycard
        - medium
        - listPriceGross
        - listPriceNet
        - promoCodeDiscount
        - autoDiscount
        - autoDiscountAmount
        - totalDiscountGross
        - totalDiscountNet
        - donation
        - totalGross
        - totalNet
        - vatRate
        - displayPrice
        - requiresPersonalization
        - requiresValidation
        - requiresMedium
        - isConfirmationRequired
        - isFlexTicket
        - isMaxOneTicketPerPerson
        - isUniqueItem
        - supportsWeatherGuarantee
        - hasWeatherGuarantee
    ManagementOrder_ConsumptionOrderItem:
      type: object
      properties:
        id:
          type: number
        parentItemId:
          type: number
        status:
          type: string
          enum:
            - RESERVED
            - PENDING
            - ISSUED
            - CANCELED
        productVariant:
          $ref: '#/components/schemas/Checkout_CheckoutProductVariant'
        validity:
          type: object
          properties:
            from:
              type: string
            to:
              type: string
          required:
            - from
            - to
        parentItem:
          $ref: '#/components/schemas/ManagementOrder_OrderItem'
        childItems:
          type: array
          items:
            $ref: '#/components/schemas/ManagementOrder_OrderItem'
        person:
          $ref: '#/components/schemas/Checkout_Person'
        keycard:
          $ref: '#/components/schemas/Checkout_Keycard'
        medium:
          oneOf:
            - nullable: true
            - type: object
              properties:
                description:
                  type: string
                name:
                  type: string
                type:
                  type: string
                  enum:
                    - SKIDATA
                    - AXESS
                    - SWISSPASS
                    - LICENSEPLATE
                    - FERATEL
                    - SKIDATA_RENEWAL
                    - SKIDATA_E_TICKET
                    - AXESS_RENEWAL
                    - ON_SITE
                    - CODE_DIRECT
                    - CODE_PICKUP
                    - DELIVERY
                id:
                  type: number
                priceComponents:
                  type: array
                  items:
                    type: object
                    properties:
                      price:
                        type: number
                      productVariant:
                        type: object
                        properties:
                          id:
                            type: number
                          name:
                            type: string
                          translation:
                            type: string
                          vatRate:
                            type: number
                          productId:
                            type: number
                          attributes:
                            type: array
                            items:
                              $ref: '#/components/schemas/Catalog_Attribute'
                        required:
                          - id
                          - name
                          - translation
                          - vatRate
                          - productId
                          - attributes
                      intent:
                        type: string
                        enum:
                          - SENDING_FEE
                          - DEPOT
                    required:
                      - price
                      - productVariant
                      - intent
                requiresKeycard:
                  type: boolean
                keycard:
                  $ref: '#/components/schemas/Checkout_Keycard'
              required:
                - description
                - name
                - type
                - id
                - priceComponents
                - requiresKeycard
                - keycard
            - type: object
              properties:
                description:
                  type: string
                name:
                  type: string
                type:
                  type: string
                  enum:
                    - SKIDATA
                    - AXESS
                    - SWISSPASS
                    - LICENSEPLATE
                    - FERATEL
                    - SKIDATA_RENEWAL
                    - SKIDATA_E_TICKET
                    - AXESS_RENEWAL
                    - ON_SITE
                    - CODE_DIRECT
                    - CODE_PICKUP
                    - DELIVERY
                id:
                  type: number
                priceComponents:
                  type: array
                  items:
                    type: object
                    properties:
                      price:
                        type: number
                      productVariant:
                        type: object
                        properties:
                          id:
                            type: number
                          name:
                            type: string
                          translation:
                            type: string
                          vatRate:
                            type: number
                          productId:
                            type: number
                          attributes:
                            type: array
                            items:
                              $ref: '#/components/schemas/Catalog_Attribute'
                        required:
                          - id
                          - name
                          - translation
                          - vatRate
                          - productId
                          - attributes
                      intent:
                        type: string
                        enum:
                          - SENDING_FEE
                          - DEPOT
                    required:
                      - price
                      - productVariant
                      - intent
                requiresKeycard:
                  type: boolean
                keycard:
                  nullable: true
              required:
                - description
                - name
                - type
                - id
                - priceComponents
                - requiresKeycard
                - keycard
        listPriceGross:
          type: number
        listPriceNet:
          type: number
        promoCodeDiscount:
          type: number
        autoDiscount:
          $ref: '#/components/schemas/Checkout_AutoDiscount'
        autoDiscountAmount:
          type: number
        totalDiscountGross:
          type: number
        totalDiscountNet:
          type: number
        donation:
          $ref: '#/components/schemas/Checkout_Donation'
        totalGross:
          type: number
        totalNet:
          type: number
        vatRate:
          type: number
        displayPrice:
          type: boolean
        requiresPersonalization:
          type: boolean
        requiresValidation:
          type: boolean
        requiresMedium:
          type: boolean
        isConfirmationRequired:
          type: boolean
        isFlexTicket:
          type: boolean
        isMaxOneTicketPerPerson:
          type: boolean
        isUniqueItem:
          type: boolean
        supportsWeatherGuarantee:
          type: boolean
        hasWeatherGuarantee:
          type: boolean
        consumption:
          $ref: '#/components/schemas/PopulatedConsumptionItemV2Slim'
      required:
        - id
        - parentItemId
        - status
        - productVariant
        - validity
        - parentItem
        - childItems
        - person
        - keycard
        - medium
        - listPriceGross
        - listPriceNet
        - promoCodeDiscount
        - autoDiscount
        - autoDiscountAmount
        - totalDiscountGross
        - totalDiscountNet
        - donation
        - totalGross
        - totalNet
        - vatRate
        - displayPrice
        - requiresPersonalization
        - requiresValidation
        - requiresMedium
        - isConfirmationRequired
        - isFlexTicket
        - isMaxOneTicketPerPerson
        - isUniqueItem
        - supportsWeatherGuarantee
        - hasWeatherGuarantee
        - consumption
    Checkout_PromoCodeInvalidUpcoming:
      type: object
      properties:
        kind:
          type: string
          enum:
            - UPCOMING
        validFrom:
          type: string
          format: date-time
      required:
        - kind
        - validFrom
    Checkout_PromoCodeInvalidExpired:
      type: object
      properties:
        kind:
          type: string
          enum:
            - EXPIRED
        expiredAt:
          type: string
          format: date-time
      required:
        - kind
        - expiredAt
    Checkout_PromoCodeInvalidGlobalLimitReached:
      type: object
      properties:
        kind:
          type: string
          enum:
            - GLOBAL_LIMIT_REACHED
        maxUsages:
          type: number
        usages:
          type: number
      required:
        - kind
        - maxUsages
        - usages
    EGumaPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - EGUMA
        type:
          type: string
          enum:
            - voucher
      required:
        - provider
        - type
    IncertPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - INCERT
        type:
          type: string
          enum:
            - voucher
      required:
        - provider
        - type
    DatatransTwintPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - TWI
        brand:
          type: string
        type:
          type: string
          enum:
            - TWI
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransPostFinancePayPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - PFP
        brand:
          type: string
        type:
          type: string
          enum:
            - PFP
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransPostFinanceCardPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - PFC
        brand:
          type: string
        type:
          type: string
          enum:
            - PFC
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransREKAPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - REK
        brand:
          type: string
        type:
          type: string
          enum:
            - REK
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransDebitPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - VIS
            - ECA
            - AMX
            - CUP
            - DIN
            - DIS
            - JCB
            - MAU
            - DNK
            - UAP
            - BON
        brand:
          type: string
        type:
          type: string
          enum:
            - card
        expiryMonth:
          type: number
        expiryYear:
          type: number
        masked:
          type: string
        nextExpireDateChecker:
          type: string
        numberOfExpireTries:
          type: number
        subType:
          type: string
          enum:
            - debit
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
        - expiryMonth
        - expiryYear
        - masked
        - numberOfExpireTries
        - subType
    DatatransPrepaidPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - VIS
            - ECA
            - AMX
            - CUP
            - DIN
            - DIS
            - JCB
            - MAU
            - DNK
            - UAP
            - BON
        brand:
          type: string
        type:
          type: string
          enum:
            - card
        expiryMonth:
          type: number
        expiryYear:
          type: number
        masked:
          type: string
        nextExpireDateChecker:
          type: string
        numberOfExpireTries:
          type: number
        subType:
          type: string
          enum:
            - prepaid
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
        - expiryMonth
        - expiryYear
        - masked
        - numberOfExpireTries
        - subType
    DatatransCreditPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - VIS
            - ECA
            - AMX
            - CUP
            - DIN
            - DIS
            - JCB
            - MAU
            - DNK
            - UAP
            - BON
        brand:
          type: string
        type:
          type: string
          enum:
            - card
        expiryMonth:
          type: number
        expiryYear:
          type: number
        masked:
          type: string
        nextExpireDateChecker:
          type: string
        numberOfExpireTries:
          type: number
        subType:
          type: string
          enum:
            - credit
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
        - expiryMonth
        - expiryYear
        - masked
        - numberOfExpireTries
        - subType
    DatatransPaypalPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - PAP
        brand:
          type: string
        type:
          type: string
          enum:
            - PAP
        fraudSessionId:
          type: string
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransEPSPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - EPS
        brand:
          type: string
        type:
          type: string
          enum:
            - EPS
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransAnonymousPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        type:
          type: string
          enum:
            - anonymous
        paymentMethod:
          oneOf:
            - type: object
              properties: {}
            - type: string
              enum:
                - TWI
            - type: string
              enum:
                - PAP
            - type: string
              enum:
                - DIB
            - type: string
              enum:
                - EPS
            - type: string
              enum:
                - REK
            - type: string
              enum:
                - PFP
            - type: string
              enum:
                - PFC
            - type: string
              enum:
                - APL
            - type: string
              enum:
                - PAY
            - type: string
              enum:
                - VIS
            - type: string
              enum:
                - ECA
        transactionId:
          type: string
      required:
        - provider
        - type
        - paymentMethod
        - transactionId
    Checkout_CheckoutProductVariant:
      type: object
      properties:
        productId:
          type: number
        name:
          type: string
        id:
          type: number
        vatRate:
          type: number
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/Catalog_Attribute'
        translation:
          type: string
        product:
          $ref: '#/components/schemas/Checkout_CheckoutProduct'
        availableMedia:
          type: array
          items:
            $ref: '#/components/schemas/Checkout_CheckoutMedium'
      required:
        - productId
        - name
        - id
        - vatRate
        - attributes
        - translation
        - product
        - availableMedia
    Checkout_Person:
      type: object
      properties:
        id:
          type: number
        accountId:
          type: number
        formDefinition:
          type: object
          additionalProperties:
            oneOf:
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - text
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                  min:
                    type: number
                    nullable: true
                  max:
                    type: number
                    nullable: true
                  length:
                    type: number
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - number
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                  min:
                    type: number
                    nullable: true
                  max:
                    type: number
                    nullable: true
                  options:
                    type: array
                    items:
                      type: number
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - select
                  options:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                        value:
                          type: string
                      required:
                        - label
                        - value
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
                  - options
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - date
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                  min:
                    type: string
                    nullable: true
                  max:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - tel
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - file
                  fileType:
                    type: string
                    enum:
                      - avatar
                      - document
                      - image
                  acceptedMimeTypes:
                    type: array
                    items:
                      type: string
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
                  - fileType
                  - acceptedMimeTypes
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - checkbox
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - donation
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - tip
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
        defaultValues:
          type: object
          additionalProperties:
            type: object
            properties: {}
        values:
          type: object
          additionalProperties:
            type: object
            properties: {}
        isOwner:
          type: boolean
      required:
        - id
        - accountId
        - formDefinition
        - defaultValues
        - values
        - isOwner
    Checkout_Keycard:
      type: object
      properties:
        id:
          type: number
        dataCarrierId:
          type: string
        personId:
          type: number
        metaInformation:
          type: object
          additionalProperties:
            type: object
            properties: {}
          nullable: true
        type:
          type: string
          enum:
            - SKIDATA
            - AXESS
            - SWISSPASS
            - SWISSTRAVELPASS
            - LICENSEPLATE
            - FERATEL
            - EUINTERRAIL
      required:
        - id
        - dataCarrierId
        - personId
        - metaInformation
        - type
    Catalog_Attribute:
      type: object
      properties:
        name:
          type: string
        identifier:
          type: string
        value:
          type: string
        sortOrder:
          type: number
        metaInformation:
          type: object
          additionalProperties:
            type: object
            properties: {}
        translation:
          type: string
      required:
        - name
        - identifier
        - value
        - sortOrder
        - metaInformation
        - translation
    PopulatedConsumptionItemV2Slim:
      type: object
      properties:
        rootPoolName:
          type: string
        poolName:
          type: string
        firstEntryDateTime:
          type: string
          format: date-time
        lastEntryDateTime:
          type: string
          format: date-time
        numberOfRides:
          type: number
      required:
        - rootPoolName
        - poolName
        - firstEntryDateTime
        - lastEntryDateTime
        - numberOfRides
    Checkout_CheckoutProduct:
      type: object
      properties:
        id:
          type: number
        sortOrder:
          type: number
        name:
          type: string
        translation:
          type: string
        identifier:
          type: string
        type:
          type: string
          enum:
            - TICKET
            - ARTICLE
            - BUNDLE
            - DYNAMIC_BUNDLE
        isSubscription:
          type: boolean
        standalone:
          type: boolean
        hasValidity:
          type: boolean
        imageUrl:
          type: string
        merchant:
          $ref: '#/components/schemas/Catalog_Merchant'
        category:
          $ref: '#/components/schemas/ProductCategory'
        slug:
          type: string
      required:
        - id
        - sortOrder
        - name
        - translation
        - identifier
        - type
        - isSubscription
        - standalone
        - hasValidity
        - imageUrl
        - merchant
        - category
        - slug
    Checkout_CheckoutMedium:
      type: object
      properties:
        description:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - SKIDATA
            - AXESS
            - SWISSPASS
            - LICENSEPLATE
            - FERATEL
            - SKIDATA_RENEWAL
            - SKIDATA_E_TICKET
            - AXESS_RENEWAL
            - ON_SITE
            - CODE_DIRECT
            - CODE_PICKUP
            - DELIVERY
        id:
          type: number
        priceComponents:
          type: array
          items:
            type: object
            properties:
              price:
                type: number
              productVariant:
                type: object
                properties:
                  id:
                    type: number
                  name:
                    type: string
                  translation:
                    type: string
                  vatRate:
                    type: number
                  productId:
                    type: number
                  attributes:
                    type: array
                    items:
                      $ref: '#/components/schemas/Catalog_Attribute'
                required:
                  - id
                  - name
                  - translation
                  - vatRate
                  - productId
                  - attributes
              intent:
                type: string
                enum:
                  - SENDING_FEE
                  - DEPOT
            required:
              - price
              - productVariant
              - intent
      required:
        - description
        - name
        - type
        - id
        - priceComponents
    Catalog_Merchant:
      type: object
      properties:
        identifier:
          type: string
        timezone:
          type: string
      required:
        - identifier
        - timezone
    ProductCategory:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
      required:
        - id
        - name

````